package cn.superdesk.uniorder.dao.mapper.unified;

import cn.superdesk.uniorder.dao.entity.unified.UnifiedProjectTarget;
import cn.superdesk.uniorder.dto.vo.unified.UnifiedProjectTargetVo;

import java.util.List;
import java.util.Map;

public interface UnifiedProjectTargetMapper {

	int deleteByPrimaryKey(Long id);

	int insert(UnifiedProjectTarget record);

	int insertSelective(UnifiedProjectTarget record);

	UnifiedProjectTarget selectByPrimaryKey(Long id);

	int updateByPrimaryKeySelective(UnifiedProjectTarget record);

	int updateByPrimaryKey(UnifiedProjectTarget record);

	UnifiedProjectTarget selectByProjectIdAndMonth(Map<String, Object> queryMap);

	List<UnifiedProjectTargetVo> getData(Map<String, Object> params);
}